BITMATH(1)

NAME
bitmath - command line utility for converting between prefix units

SYNOPSIS

bitmath [--from-stdin] [-f IN_UNIT] [-t OUT_UNIT] SIZE ...

DESCRIPTION

Run it, give a number as the last parameter. Say what units you’re giving/wanting, or not.

OPTIONS

--from-stdin
    Reads number from stdin rather than the cli.

-f UNIT, --from UNIT
    The unit you are converting from. Default is Byte.

-t UNIT, --to 'UNIT
    The unit you are converting to. The default is auto-selected for best human-readability.

AUTHOR

Tim Case (fmr. tbielawa) <bitmath@lnx.cx>

For a complete list of contributors, please visit the GitHub charts page.

COPYRIGHT

Copyright © 2014-2026, Tim Case.

bitmath is released under the terms of the "MIT" License.

SEE ALSO

units(7)

The bitmath GitHub Project — https://github.com/timlnx/bitmath

The bitmath Documentation — https://bitmath.readthedocs.org